org.apache.ignite.internal.cache.query.index.sorted.inline

## Class IndexQueryContext

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.inline.IndexQueryContext

    public class IndexQueryContext
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`IndexQueryContext(IndexingQueryFilter cacheFilter, BPlusTree.TreeRowClosure<IndexRow,IndexRow> rowFilter, MvccSnapshot mvccSnapshot)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IndexingQueryFilter` `cacheFilter()`
`MvccSnapshot` `mvccSnapshot()`
`BPlusTree.TreeRowClosure<IndexRow,IndexRow>` `rowFilter()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexQueryContext

    public IndexQueryContext(IndexingQueryFilter cacheFilter,
                             BPlusTree.TreeRowClosure<IndexRow,IndexRow> rowFilter,
                             MvccSnapshot mvccSnapshot)

### Method Detail

#### mvccSnapshot

    public MvccSnapshot mvccSnapshot()

Returns:
  Mvcc snapshot.

#### cacheFilter

    public IndexingQueryFilter cacheFilter()

Returns:
  Cache filter.

#### rowFilter

    public BPlusTree.TreeRowClosure<IndexRow,IndexRow> rowFilter()

Returns:
  Index row filter.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022